package com.m2pool.auth.entity;

import lombok.Data;

import javax.validation.constraints.Email;

/**
 * @Description 用户登录对象
 * @Date 2024/6/12 16:13
 * @Author dy
 */
@Data
public class LoginBody {

    /** 邮箱 */
    @Email
    private String userName;

    /** 密码 */
    private String password;

    private String code;

    private String uuid;

    //private boolean flag = false;
}
