package com.m2pool.gateway;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;

/**
 * @Description 网关启动程序
 * @Date 2024/6/13 12:05
 * @Author dy
 */
@SpringBootApplication(exclude = {DataSourceAutoConfiguration.class})
public class M2PoolGatewayApplication {
    public static void main(String[] args) {
        SpringApplication.run(M2PoolGatewayApplication.class,args);
        System.out.println("网关启动成功");
    }
}