package com.m2pool.chat.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**
 * @ClassName MessagePageVo
 * @Description TODO
 * @Author yyb
 * @Date 2025/4/22 17:09
 */
@Data
@ApiModel(description = "请求对象")
public class RoomPageVo {
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "上一页最后一个聊天室发送时间", example = "2025-10-01 12:32:01")
    private LocalDateTime sendDateTime;
}
