package com.m2pool.manage.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * @Description 基础请求对象
 * @Date 2025/5/22 17:18
 * @Author yyb
 */
@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "基础请求对象")
public class ManageBaseVo {
    @ApiModelProperty(value = "id",example = "1")
    private Long id;
}
