package com.m2pool.pool.vo;

import com.m2pool.common.core.xss.Xss;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @Description 用户网站账号绑定挖矿账号请求体
 * @Date 2024/6/18 14:05
 * @Author 杜懿
 */
@Data
public class UserAccountVo {

    @NotBlank(message = "未传入有效矿池名")
    @Xss
    public String coin;

    @NotBlank(message = "未传入有效挖矿账号名")
    @Xss
    public String ma;

}
