package com.m2pool.common.security.annotation;

import java.lang.annotation.*;

/**
 * @Description 内部认证注解
 * @Date 2024/6/13 11:16
 * @Author dy
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface InnerAuth {

    /**
     * 是否校验用户信息
     */
    boolean isUser() default false;

}
