package com.m2pool.manage.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @Description 广播返回对象
 * @Date 2025/5/22 17:18
 * @Author yyb
 */
@Builder
@Data
@ApiModel(value = "ManageBroadcastDto", description = "广播返回对象")
public class ManageBroadcastDto {
    @ApiModelProperty(value = "id",example = "1")
    private Long id;

    @ApiModelProperty(value = "内容",example = "广播内容")
    private String content;

    @ApiModelProperty(value = "创建人",example = "广播创建者")
    private String createUser;

    @ApiModelProperty(value = "最后一次修改，修改人",example = "146555@qq.com")
    private String updateUser;

    @ApiModelProperty(value = "修改时间",example = "2025-05-22 14:22:13")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "创建时间",example = "2025-05-22 14:22:13")
    private LocalDateTime createTime;
}
