package com.m2pool.pool.dto;

import com.fasterxml.jackson.annotation.JsonAlias;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description 当前币种矿池信息
 * @Date 2024/6/13 11:17
 * @Author dy
 */
@Data
public class MinerDataInsertDBDto implements Serializable {

    /** id */
    private long id;

    /** 时间 */
    private String date;

    /** 挖矿账号 */
    private String user;

    /** 矿工名 */
    private String miner;

    /** 1小时平均算力 */
    private double mhs;

    /** 24小时平均算力 */
    private double mhs24h;

    ///** 申请次数？通过次数？ */
    //private int accepts;
    //
    ///** 被拒次数 */
    //private int rejects;
    //
    ///** 拒绝率 */
    ////private int rejects_ratio;
    //@JsonAlias("rejects_ratio")
    //private double rejectsRatio;

    /** 最后一次提交的时间 */
    @JsonAlias("last_submit")
    private String lastSubmit;

    ///**  */
    //private double duration;

    /** 是否在线 */
    //private String online;

    private String state;


}
