package com.m2pool.pool.dto;


import lombok.Data;

import java.io.Serializable;

/**
 * @Description 文件
 * @Date 2024/6/14 15:57
 * @Author dy
 */
@Data
public class UserReadPageInfoReturnDto implements Serializable {

    /** 只读页面表id */
    private long id;

    /** 只读页面编码 */
    private String key;

    private String user;

    /** 页面请求路径 */
    private String url;

    private String img;

    /** 挖矿账户 */
    private String account;

    /** 币种 */
    private String coin;

    /** 币种展示名*/
    private String label;

    /** 权限配置 */
    private String[] config;

    /** 备注 */
    private String remark;

}
