package com.m2pool.pool.entity;


import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description 文件
 * @Date 2024/6/14 15:57
 * @Author dy
 */
@Data
public class UserReadOnlyPageInfo implements Serializable {

    /** 只读页面表id */
    private long id;

    /** 只读页面编码 */
    private String key;

    private String user;

    /** 页面请求路径 */
    private String url;

    /** 挖矿账户 */
    private String account;

    /** 币种 */
    private String coin;

    /** 权限配置 */
    private String config;

    /** 备注 */
    private String remark;

    private String lang;

}
